Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy
Interface DependencyDescriptor

All Known Implementing Classes:
  DefaultDependencyDescriptor

public interface DependencyDescriptor

Author:
  x.hanin

Method Summary
`boolean` | `canExclude()`
`boolean` | `doesExclude(java.lang.String[] moduleConfigurations, ArtifactId artifactId)`
`DependencyArtifactDescriptor[]` | `getAllDependencyArtifactsExcludes()`
`DependencyArtifactDescriptor[]` | `getAllDependencyArtifactsIncludes()`
`DependencyArtifactDescriptor[]` | `getDependencyArtifactsExcludes(java.lang.String moduleConfigurations)`
`DependencyArtifactDescriptor[]` | `getDependencyArtifactsExcludes(java.lang.String[] moduleConfigurations)`
`DependencyArtifactDescriptor[]` | `getDependencyArtifactsIncludes(java.lang.String moduleConfigurations)`
`DependencyArtifactDescriptor[]` | `getDependencyArtifactsIncludes(java.lang.String[] moduleConfigurations)`
`java.lang.String[]` | `getDependencyConfigurations(java.lang.String moduleConfiguration)`
`java.lang.String[]` | `getDependencyConfigurations(java.lang.String[] moduleConfigurations)`
`ModuleId` | `getDependencyId()`
`ModuleRevisionId` | `getDependencyRevisionId()`
`java.lang.String[]` | `getModuleConfigurations()`
`Namespace` | `getNamespace()`
`ModuleRevisionId` | `getParentRevisionId()`
`boolean` | `isChanging()` Used to indicate that this dependency is a changing one.
`boolean` | `isForce()` Used to indicate that this revision must be used in case of conflicts, independently of conflicts manager.
`boolean` | `isTransitive()`

Method Detail

### getDependencyId

    public ModuleId getDependencyId()

### isForce

    public boolean isForce()

  Used to indicate that this revision must be used in case of conflicts, independently of conflicts manager. This only works for direct dependencies, and not transitive ones.

  Returns:
    true if this dependency should be used, false if conflicts manager can do its work.

### isChanging

    public boolean isChanging()

  Used to indicate that this dependency is a changing one. A changing dependency in ivy means that the revision may have its artifacts modified without revision change. When new artifacts are published a new ivy file should also be published with a new publication date to indicate to ivy that artifacts have changed and that they should be downloaded again.

  Returns:
    true if this dependency is a changing one

### isTransitive

    public boolean isTransitive()

### getParentRevisionId

    public ModuleRevisionId getParentRevisionId()

### getDependencyRevisionId

    public ModuleRevisionId getDependencyRevisionId()

### getModuleConfigurations

    public java.lang.String[] getModuleConfigurations()

### getDependencyConfigurations

    public java.lang.String[] getDependencyConfigurations(java.lang.String moduleConfiguration)

### getDependencyConfigurations

    public java.lang.String[] getDependencyConfigurations(java.lang.String[] moduleConfigurations)

### getNamespace

    public Namespace getNamespace()

### getAllDependencyArtifactsIncludes

    public DependencyArtifactDescriptor[] getAllDependencyArtifactsIncludes()

### getDependencyArtifactsIncludes

    public DependencyArtifactDescriptor[] getDependencyArtifactsIncludes(java.lang.String moduleConfigurations)

### getDependencyArtifactsIncludes

    public DependencyArtifactDescriptor[] getDependencyArtifactsIncludes(java.lang.String[] moduleConfigurations)

### getAllDependencyArtifactsExcludes

    public DependencyArtifactDescriptor[] getAllDependencyArtifactsExcludes()

### getDependencyArtifactsExcludes

    public DependencyArtifactDescriptor[] getDependencyArtifactsExcludes(java.lang.String moduleConfigurations)

### getDependencyArtifactsExcludes

    public DependencyArtifactDescriptor[] getDependencyArtifactsExcludes(java.lang.String[] moduleConfigurations)

### doesExclude

    public boolean doesExclude(java.lang.String[] moduleConfigurations,
                               ArtifactId artifactId)

### canExclude

    public boolean canExclude()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD